package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.EmsFacsAbility;

/**
 * 能源设施能力Service接口
 * 
 * @author ruoyi
 * @date 2024-08-22
 */
public interface IEmsFacsAbilityService
{
    /**
     * 查询能源设施能力
     * 
     * @param id 能源设施能力主键
     * @return 能源设施能力
     */
     EmsFacsAbility selectEmsFacsAbilityById(Long id);

    /**
     * 查询能源设施能力列表
     * 
     * @param emsFacsAbility 能源设施能力
     * @return 能源设施能力集合
     */
     List<EmsFacsAbility> selectEmsFacsAbilityList(EmsFacsAbility emsFacsAbility);

    /**
     * 新增能源设施能力
     * 
     * @param emsFacsAbility 能源设施能力
     * @return 结果
     */
     int insertEmsFacsAbility(EmsFacsAbility emsFacsAbility);

    /**
     * 批量新增能源设施能力
     *
     * @param emsFacsAbilitys 能源设施能力列表
     * @return 结果
     */
    int insertEmsFacsAbilityBatch(List<EmsFacsAbility> emsFacsAbilitys);

    /**
     * 修改能源设施能力
     * 
     * @param emsFacsAbility 能源设施能力
     * @return 结果
     */
     int updateEmsFacsAbility(EmsFacsAbility emsFacsAbility);

    /**
     * 批量删除能源设施能力
     * 
     * @param ids 需要删除的能源设施能力主键集合
     * @return 结果
     */
     int deleteEmsFacsAbilityByIds(Long[] ids);

    /**
     * 删除能源设施能力信息
     * 
     * @param id 能源设施能力主键
     * @return 结果
     */
     int deleteEmsFacsAbilityById(Long id);

    /**
     * 删除能源设施能力信息
     *
     * @param facsCode 设施编码
     * @return 结果
     */
    int deleteAbilityByFacsCode(String facsCode);
}
